Bug 209014 - Mk/bsd.kde4.mk : cleanup for expired misc/kdehier4
Summary: Mk/bsd.kde4.mk : cleanup for expired misc/kdehier4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-24 17:44 UTC by Rene Ladan
Modified: 2016-05-25 20:57 UTC (History)
2 users (show)

See Also:
rene: exp-run?


Attachments
patch to clean up after misc/kdehier4 (2.28 KB, patch)
2016-04-24 17:44 UTC, Rene Ladan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2016-04-24 17:44:51 UTC
Created attachment 169636 [details]
patch to clean up after misc/kdehier4

misc/kdehier4 expired on 2016-03-09 after being unused for two years, clean up Mk/bsd.kde4.mk so that misc/kdehier4 can be removed:
- remove kdeprefix component
- remove unused kdehier component
Comment 1 Antoine Brodin freebsd_committer 2016-04-24 19:16:21 UTC
This is not good, lots of ports have USE_KDE4=kdeprefix
Comment 2 Rene Ladan freebsd_committer 2016-04-27 15:05:45 UTC
According to https://svnweb.freebsd.org/ports?view=revision&revision=408587 , misc/kdehier4 is obsolete because all ports moved from ${LOCALBASE}/kde4 to ${LOCALBASE} in 2014.

However, running a test build for games/ksudoku with misc/kdehier4 removed and Mk/bsd.kde4.mk fails with kdeprefix being an unknown component in e.g. x11-themes/kde4-icons-oxygen
Comment 3 Rene Ladan freebsd_committer 2016-05-25 05:50:10 UTC
See also https://reviews.freebsd.org/D6542
Comment 4 commit-hook freebsd_committer 2016-05-25 20:56:46 UTC
A commit references this bug:

Author: rene
Date: Wed May 25 20:56:16 UTC 2016
New revision: 415864
URL: https://svnweb.freebsd.org/changeset/ports/415864

Log:
  Remove expired misc/kdehier4 and update all of its consumers to not reference it any
  longer. This is a no-op because KDE4_PREFIX is equal to LOCALBASE

  Fix up properties for misc/kde4-l10n/files/bsd.l10n.mk to make svn happy.

  PR:		209014 (partial)
  Submitted by:	myself
  Approved by:	portmgr (bapt)
  Differential Revision:	https://reviews.freebsd.org/D6542

Changes:
  head/MOVED
  head/Mk/bsd.kde4.mk
  head/accessibility/jovie/Makefile
  head/accessibility/kaccessible/Makefile
  head/accessibility/kdeaccessibility4/Makefile
  head/accessibility/kmag/Makefile
  head/accessibility/kmousetool/Makefile
  head/accessibility/kmouth/Makefile
  head/archivers/ark/Makefile
  head/astro/kstars/Makefile
  head/astro/libkgeomap/Makefile
  head/astro/marble/Makefile
  head/audio/amarok-kde4/Makefile
  head/audio/audex/Makefile
  head/audio/creox/Makefile
  head/audio/juk/Makefile
  head/audio/kaudiocreator/Makefile
  head/audio/kid3-kde4/Makefile
  head/audio/kio-audiocd/Makefile
  head/audio/kmix/Makefile
  head/audio/kscd/Makefile
  head/audio/kstreamripper/Makefile
  head/audio/libkcddb/Makefile
  head/audio/libkcompactdisc/Makefile
  head/audio/soundkonverter/Makefile
  head/comms/kremotecontrol/Makefile
  head/databases/akonadi/Makefile
  head/databases/akonadi-googledata/Makefile
  head/databases/kbibtex/Makefile
  head/deskutils/basket/Makefile
  head/deskutils/homerun/Makefile
  head/deskutils/kcharselect/Makefile
  head/deskutils/kchmviewer-kde4/Makefile
  head/deskutils/kdepim4/Makefile
  head/deskutils/kdepim4-runtime/Makefile
  head/deskutils/kdepimlibs4/Makefile
  head/deskutils/kdeplasma-addons/Makefile
  head/deskutils/kruler/Makefile
  head/deskutils/plasma-applet-cwp/Makefile
  head/deskutils/plasma-applet-daisy/Makefile
  head/deskutils/plasma-applet-fancytasks/Makefile
  head/deskutils/plasma-applet-panelspacer/Makefile
  head/deskutils/plasma-applet-playwolf/Makefile
  head/deskutils/plasma-applet-qstardict/Makefile
  head/deskutils/plasma-applet-serverstatuswidget/Makefile
  head/deskutils/plasma-applet-simpleweatherforecast/Makefile
  head/deskutils/plasma-applet-teacooker/Makefile
  head/deskutils/plasma-applet-yawp/Makefile
  head/deskutils/semantik/Makefile
  head/deskutils/silence/Makefile
  head/deskutils/superkaramba/Makefile
  head/devel/cervisia/Makefile
  head/devel/dolphin-plugins/Makefile
  head/devel/kapptemplate/Makefile
  head/devel/kcachegrind/Makefile
  head/devel/kdbg/Makefile
  head/devel/kde-dev-scripts/Makefile
  head/devel/kde-dev-utils/Makefile
  head/devel/kdebindings4/Makefile
  head/devel/kdesdk4/Makefile
  head/devel/kdesdk4-kioslaves/Makefile
  head/devel/kdesdk4-strigi-analyzers/Makefile
  head/devel/kdesdk4-thumbnailers/Makefile
  head/devel/kdesvn-kde4/Makefile
  head/devel/kdevelop-kde4/Makefile
  head/devel/kdevelop-pg-qt/Makefile
  head/devel/kdevelop-php/Makefile
  head/devel/kdevelop-php-docs/Makefile
  head/devel/kdevplatform/Makefile
  head/devel/libkgapi/Makefile
  head/devel/lokalize/Makefile
  head/devel/okteta/Makefile
  head/devel/p5-perlkde/Makefile
  head/devel/p5-perlqt/Makefile
  head/devel/piklab/Makefile
  head/devel/poxml/Makefile
  head/devel/py-krosspython/Makefile
  head/devel/py-pykde4/Makefile
  head/devel/ruby-korundum/Makefile
  head/devel/ruby-krossruby/Makefile
  head/devel/ruby-qtruby/Makefile
  head/devel/smokegen/Makefile
  head/devel/smokekde/Makefile
  head/devel/smokeqt/Makefile
  head/devel/umbrello/Makefile
  head/editors/calligra/Makefile
  head/editors/calligra-l10n/Makefile
  head/editors/calligra-l10n/files/bsd.l10n.mk
  head/editors/kate/Makefile
  head/editors/kate-plugin-pate/Makefile
  head/editors/kile-kde4/Makefile
  head/editors/klat4/Makefile
  head/finance/kmymoney-kde4/Makefile
  head/finance/libalkimia/Makefile
  head/finance/skrooge/Makefile
  head/ftp/plasma-applet-ftpmonitor/Makefile
  head/games/blinken/Makefile
  head/games/bomber/Makefile
  head/games/bovo/Makefile
  head/games/granatier/Makefile
  head/games/kajongg/Makefile
  head/games/kanagram/Makefile
  head/games/kapman/Makefile
  head/games/katomic/Makefile
  head/games/kblackbox/Makefile
  head/games/kblocks/Makefile
  head/games/kbounce/Makefile
  head/games/kbreakout/Makefile
  head/games/kdegames4/Makefile
  head/games/kdiamond/Makefile
  head/games/kfourinline/Makefile
  head/games/kgoldrunner/Makefile
  head/games/khangman/Makefile
  head/games/kigo/Makefile
  head/games/killbots/Makefile
  head/games/kiriki/Makefile
  head/games/kjumpingcube/Makefile
  head/games/klickety/Makefile
  head/games/klines/Makefile
  head/games/kmahjongg/Makefile
  head/games/kmancala/Makefile
  head/games/kmines/Makefile
  head/games/knavalbattle/Makefile
  head/games/knetwalk/Makefile
  head/games/knights-kde4/Makefile
  head/games/kolf/Makefile
  head/games/kollision/Makefile
  head/games/konquest/Makefile
  head/games/kpat/Makefile
  head/games/kreversi/Makefile
  head/games/kshisen/Makefile
  head/games/ksirk/Makefile
  head/games/ksnakeduel/Makefile
  head/games/kspaceduel/Makefile
  head/games/ksquares/Makefile
  head/games/ksudoku/Makefile
  head/games/ktuberling/Makefile
  head/games/kubrick/Makefile
  head/games/libkdegames/Makefile
  head/games/libkmahjongg/Makefile
  head/games/lskat/Makefile
  head/games/pairs/Makefile
  head/games/palapeli/Makefile
  head/games/picmi/Makefile
  head/graphics/digikam-kde4/Makefile.common
  head/graphics/gwenview-kde4/Makefile
  head/graphics/kamera-kde4/Makefile
  head/graphics/kcolorchooser/Makefile
  head/graphics/kcoloredit/Makefile
  head/graphics/kdegraphics4/Makefile
  head/graphics/kdegraphics4-mobipocket/Makefile
  head/graphics/kdegraphics4-strigi-analyzer/Makefile
  head/graphics/kdegraphics4-svgpart/Makefile
  head/graphics/kdegraphics4-thumbnailers/Makefile
  head/graphics/kiconedit/Makefile
  head/graphics/kolourpaint/Makefile
  head/graphics/kphotoalbum-kde4/Makefile
  head/graphics/kpovmodeler/Makefile
  head/graphics/kqtquickcharts/Makefile
  head/graphics/ksaneplugin/Makefile
  head/graphics/ksnapshot/Makefile
  head/graphics/libkdcraw-kde4/Makefile
  head/graphics/libkexiv2-kde4/Makefile
  head/graphics/libkface/Makefile
  head/graphics/libkipi-kde4/Makefile
  head/graphics/libksane/Makefile
  head/graphics/libkscreen/Makefile
  head/graphics/okular/Makefile
  head/graphics/showimage/Makefile
  head/graphics/skanlite/Makefile
  head/irc/konversation-kde4/Makefile
  head/irc/kvirc/Makefile
  head/japanese/kiten/Makefile
  head/lang/kturtle/Makefile
  head/mail/kbiff/Makefile
  head/mail/kshowmail/Makefile
  head/math/abakus/Makefile
  head/math/analitza/Makefile
  head/math/cantor/Makefile
  head/math/kalgebra/Makefile
  head/math/kbruch/Makefile
  head/math/kcalc/Makefile
  head/math/kig/Makefile
  head/math/kmplot/Makefile
  head/math/labplot/Makefile
  head/math/rkward-kde4/Makefile
  head/math/rocs/Makefile
  head/misc/Makefile
  head/misc/artikulate/Makefile
  head/misc/kde-thumbnailer-chm/Makefile
  head/misc/kde-thumbnailer-epub/Makefile
  head/misc/kde-thumbnailer-fb2/Makefile
  head/misc/kde4-l10n/Makefile
  head/misc/kde4-l10n/files/bsd.l10n.mk
  head/misc/kde4-xdg-env/Makefile
  head/misc/kdeedu4/Makefile
  head/misc/kdehier4/
  head/misc/kdeutils4/Makefile
  head/misc/kgeography/Makefile
  head/misc/klettres/Makefile
  head/misc/krecipes-kde4/Makefile
  head/misc/ktouch/Makefile
  head/misc/kwordquiz/Makefile
  head/misc/libkdeedu/Makefile
  head/misc/parley/Makefile
  head/misc/tellico-kde4/Makefile
  head/multimedia/bangarang/Makefile
  head/multimedia/dragon/Makefile
  head/multimedia/k9copy-kde4/Makefile
  head/multimedia/kaffeine/Makefile
  head/multimedia/kdemultimedia4/Makefile
  head/multimedia/kdemultimedia4-ffmpegthumbs/Makefile
  head/multimedia/kdemultimedia4-mplayerthumbs/Makefile
  head/multimedia/kdenlive/Makefile
  head/multimedia/kmplayer-kde4/Makefile
  head/multimedia/kplayer-kde4/Makefile
  head/multimedia/phonon/Makefile
  head/multimedia/phonon-gstreamer/Makefile
  head/multimedia/phonon-vlc/Makefile
  head/multimedia/phonon-xine/Makefile
  head/multimedia/subtitlecomposer-kde4/Makefile
  head/net/kdenetwork4/Makefile
  head/net/kdenetwork4-filesharing/Makefile
  head/net/kdenetwork4-strigi-analyzers/Makefile
  head/net/kget/Makefile
  head/net/kio-upnp-ms/Makefile
  head/net/knemo-kde4/Makefile
  head/net/krdc/Makefile
  head/net/krfb/Makefile
  head/net/kwooty/Makefile
  head/net/libkfbapi/Makefile
  head/net/libkvkontakte/Makefile
  head/net/smb4k-kde4/Makefile
  head/net/zeroconf-ioslave/Makefile
  head/net-im/kde-telepathy/Makefile
  head/net-im/kmess-kde4/Makefile
  head/net-im/kopete-kde4/Makefile
  head/net-im/ktp-accounts-kcm/Makefile
  head/net-im/ktp-approver/Makefile
  head/net-im/ktp-auth-handler/Makefile
  head/net-im/ktp-common-internals/Makefile
  head/net-im/ktp-contact-list/Makefile
  head/net-im/ktp-contact-runner/Makefile
  head/net-im/ktp-desktop-applets/Makefile
  head/net-im/ktp-filetransfer-handler/Makefile
  head/net-im/ktp-kded-integration-module/Makefile
  head/net-im/ktp-send-file/Makefile
  head/net-im/ktp-text-ui/Makefile
  head/net-im/plasma-applet-ktp/Makefile
  head/net-p2p/ktorrent/Makefile
  head/net-p2p/libktorrent/Makefile
  head/ports-mgmt/kpackagekit/Makefile
  head/print/frescobaldi/Makefile
  head/print/kde4-print-manager/Makefile
  head/print/kover/Makefile
  head/science/kalzium/Makefile
  head/science/step/Makefile
  head/security/kgpg-kde4/Makefile
  head/security/kwalletmanager/Makefile
  head/sysutils/baloo/Makefile
  head/sysutils/baloo-widgets/Makefile
  head/sysutils/filelight-kde4/Makefile
  head/sysutils/k3b-kde4/Makefile
  head/sysutils/kcm-polkit-kde/Makefile
  head/sysutils/kcron/Makefile
  head/sysutils/kdeadmin4/Makefile
  head/sysutils/kdf/Makefile
  head/sysutils/kdirstat/Makefile
  head/sysutils/kfilemetadata/Makefile
  head/sysutils/kfloppy/Makefile
  head/sysutils/knutclient-kde4/Makefile
  head/sysutils/krename-kde4/Makefile
  head/sysutils/kshutdown-kde4/Makefile
  head/sysutils/ksysguardd/Makefile
  head/sysutils/ksystemlog/Makefile
  head/sysutils/kuser/Makefile
  head/sysutils/nepomuk-core/Makefile
  head/sysutils/nepomuk-widgets/Makefile
  head/sysutils/plasma-applet-apcups/Makefile
  head/sysutils/polkit-kde/Makefile
  head/sysutils/sweeper/Makefile
  head/textproc/dikt/Makefile
  head/textproc/kdiff3/Makefile
  head/textproc/kompare/Makefile
  head/textproc/libkomparediff2/Makefile
  head/textproc/uim-kde4/Makefile
  head/www/choqok/Makefile
  head/www/kdewebdev4/Makefile
  head/www/kpartsplugin/Makefile
  head/www/kwebkitpart/Makefile
  head/www/rekonq/Makefile
  head/x11/kactivities/Makefile
  head/x11/kactivitymanagerd/Makefile
  head/x11/kde4/Makefile
  head/x11/kde4-baseapps/Makefile
  head/x11/kde4-runtime/Makefile
  head/x11/kde4-workspace/Makefile
  head/x11/kdelibs4/Makefile
  head/x11/kgamma/Makefile
  head/x11/konsole/Makefile
  head/x11/libkonq/Makefile
  head/x11/plasma-scriptengine-python/Makefile
  head/x11/plasma-scriptengine-ruby/Makefile
  head/x11/rsibreak-kde4/Makefile
  head/x11/yakuake-kde4/Makefile
  head/x11-clocks/amor/Makefile
  head/x11-clocks/kdetoys4/Makefile
  head/x11-clocks/kteatime/Makefile
  head/x11-clocks/ktimer/Makefile
  head/x11-clocks/ktux/Makefile
  head/x11-clocks/plasma-applet-adjustableclock/Makefile
  head/x11-clocks/plasma-applet-geekclock/Makefile
  head/x11-fm/krusader2/Makefile
  head/x11-themes/gtk-qt4-engine/Makefile
  head/x11-themes/kde-gtk-config/Makefile
  head/x11-themes/kde4-base-artwork/Makefile
  head/x11-themes/kde4-icons-oxygen/Makefile
  head/x11-themes/kde4-style-bespin/Makefile
  head/x11-themes/kde4-style-nitrogen/Makefile
  head/x11-themes/kde4-style-oxygen-transparent/Makefile
  head/x11-themes/kde4-style-polyester/Makefile
  head/x11-themes/kde4-style-skulpture/Makefile
  head/x11-themes/kde4-wallpapers/Makefile
  head/x11-themes/kde4-wallpapers-freebsd/Makefile
  head/x11-themes/kde4-windeco-crystal/Makefile
  head/x11-themes/kde4-windeco-dekorator/Makefile
  head/x11-themes/kdeartwork4/Makefile
  head/x11-themes/qtcurve/Makefile